package com.malk.service.aliwork;


import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.dingtalk.DDR_New;

public interface YDClient {

    /**
     * 操作数据
     */
    Object operateData(YDParam param, YDConf.FORM_OPERATION type);

    /**
     * 查询数据
     */
    DDR_New queryData(YDParam param, YDConf.FORM_QUERY type);

    /**
     * 获取宜搭附件临时免登地址 todo 支持动态token
     */
    String convertTemporaryUrl(String url, int timeout);

    String convertTemporaryUrl(String url);
}
